summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/line_profiler/line_profiler-1.0-r1.ebuild')
-rw-r--r--dev-python/line_profiler/line_profiler-1.0-r1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/line_profiler/line_profiler-1.0-r1.ebuild b/dev-python/line_profiler/line_profiler-1.0-r1.ebuild
new file mode 100644
index 00000000000..00e1e865624
--- /dev/null
+++ b/dev-python/line_profiler/line_profiler-1.0-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Line-by-line profiler"
+HOMEPAGE="https://github.com/rkern/line_profiler"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+ "
+
+PATCHES=(
+ "${FILESDIR}/${P}-fix-name-from-copypasta.patch"
+ "${FILESDIR}/${P}-ipython-5.0-compatibility.patch"
+)
+
+python_test() {
+ "${PYTHON}" -m unittest discover -v "${S}"/tests/ \
+ || die "Tests failed with ${EPYTHON}"
+}